﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// La plantilla de elemento Página en blanco está documentada en https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0xc0a

namespace Proyecto6
{
    /// <summary>
    /// Página vacía que se puede usar de forma independiente o a la que se puede navegar dentro de un objeto Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void Boton1_Click(object sender, RoutedEventArgs e)
        {
            Uri uri1 = new Uri(text1.Text);
            webview1.Navigate(uri1);
        }

        private void Boton2_Click(object sender, RoutedEventArgs e)
        {
            if (webview1.CanGoBack)
                webview1.GoBack();
        }

        private void Boton3_Click(object sender, RoutedEventArgs e)
        {
            if (webview1.CanGoForward)
                webview1.GoForward();
        }
    }
}
